org.apache.jmeter.util

## Class TrustAllSSLSocketFactory

- java.lang.Object
- - javax.net.SocketFactory
  - - javax.net.ssl.SSLSocketFactory
    - - org.apache.jmeter.util.TrustAllSSLSocketFactory

-     public class TrustAllSSLSocketFactory
      extends javax.net.ssl.SSLSocketFactory

  This class can be used as a SocketFactory with SSL-connections.

  Its purpose is to ensure that all certificates - no matter from which CA - are accepted to secure the SSL-connection.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrustAllSSLSocketFactory()` Standard constructor

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.net.Socket` | `createSocket()`
    `java.net.Socket` | `createSocket(java.net.InetAddress address, int port)`
    `java.net.Socket` | `createSocket(java.net.InetAddress address, int port, java.net.InetAddress localAddress, int localPort)`
    `java.net.Socket` | `createSocket(java.net.Socket socket, java.lang.String host, int port, boolean autoClose)`
    `java.net.Socket` | `createSocket(java.lang.String host, int port)`
    `java.net.Socket` | `createSocket(java.lang.String host, int port, java.net.InetAddress localHost, int localPort)`
    `static javax.net.SocketFactory` | `getDefault()` Factory method
    `java.lang.String[]` | `getDefaultCipherSuites()`
    `java.lang.String[]` | `getSupportedCipherSuites()`

    - ### Methods inherited from class javax.net.ssl.SSLSocketFactory

      `createSocket`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TrustAllSSLSocketFactory

          public TrustAllSSLSocketFactory()

      Standard constructor

  - ### Method Detail

    - #### getDefault

          public static javax.net.SocketFactory getDefault()

      Factory method
      Returns:
        New TrustAllSSLSocketFactory

    - #### createSocket

          public java.net.Socket createSocket(java.net.Socket socket,
                                              java.lang.String host,
                                              int port,
                                              boolean autoClose)
                                       throws java.io.IOException

      Specified by:
        `createSocket` in class `javax.net.ssl.SSLSocketFactory`
      Throws:
        `java.io.IOException`

    - #### createSocket

          public java.net.Socket createSocket(java.net.InetAddress address,
                                              int port,
                                              java.net.InetAddress localAddress,
                                              int localPort)
                                       throws java.io.IOException

      Specified by:
        `createSocket` in class `javax.net.SocketFactory`
      Throws:
        `java.io.IOException`

    - #### createSocket

          public java.net.Socket createSocket(java.net.InetAddress address,
                                              int port)
                                       throws java.io.IOException

      Specified by:
        `createSocket` in class `javax.net.SocketFactory`
      Throws:
        `java.io.IOException`

    - #### createSocket

          public java.net.Socket createSocket(java.lang.String host,
                                              int port,
                                              java.net.InetAddress localHost,
                                              int localPort)
                                       throws java.io.IOException

      Specified by:
        `createSocket` in class `javax.net.SocketFactory`
      Throws:
        `java.io.IOException`

    - #### createSocket

          public java.net.Socket createSocket(java.lang.String host,
                                              int port)
                                       throws java.io.IOException

      Specified by:
        `createSocket` in class `javax.net.SocketFactory`
      Throws:
        `java.io.IOException`

    - #### createSocket

          public java.net.Socket createSocket()
                                       throws java.io.IOException

      Overrides:
        `createSocket` in class `javax.net.SocketFactory`
      Throws:
        `java.io.IOException`

    - #### getDefaultCipherSuites

          public java.lang.String[] getDefaultCipherSuites()

      Specified by:
        `getDefaultCipherSuites` in class `javax.net.ssl.SSLSocketFactory`

    - #### getSupportedCipherSuites

          public java.lang.String[] getSupportedCipherSuites()

      Specified by:
        `getSupportedCipherSuites` in class `javax.net.ssl.SSLSocketFactory`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.